.TH HG PUSH  "" "" ""
.SH NAME
hg push \- push changes to the specified destination
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg push [\-f] [\-r REV]... [\-e CMD] [\-\-remotecmd CMD] [DEST]...
.ft P
.fi
.SH DESCRIPTION
.sp
Push changesets from the local repository to the specified
destination.
.sp
This operation is symmetrical to pull: it is identical to a pull
in the destination repository from the current one.
.sp
By default, push will not allow creation of new heads at the
destination, since multiple heads would make it unclear which head
to use. In this situation, it is recommended to pull and merge
before pushing.
.sp
Use \-\-new\-branch if you want to allow push to create a new named
branch that is not present at the destination. This allows you to
only create a new branch without forcing other changes.
.IP Note
.
Extra care should be taken with the \-f/\-\-force option,
which will push all new heads on all branches, an action which will
almost always cause confusion for collaborators.
.RE
.sp
If \-r/\-\-rev is used, the specified revision and all its ancestors
will be pushed to the remote repository.
.sp
If \-B/\-\-bookmark is used, the specified bookmarked revision, its
ancestors, and the bookmark will be pushed to the remote
repository. Specifying \fB.\fP is equivalent to specifying the active
bookmark\(aqs name. Use the \-\-all\-bookmarks option for pushing all
current bookmarks.
.sp
Please see \%\fBhg help urls\fP\: for important details about \fBssh://\fP
URLs. If DESTINATION is omitted, a default path will be used.
.sp
When passed multiple destinations, push will process them one after the
other, but stop should an error occur.
.sp
The \-\-pushvars option sends strings to the server that become
environment variables prepended with \fBHG_USERVAR_\fP. For example,
\fB\-\-pushvars ENABLE_FEATURE=true\fP, provides the server side hooks with
\fBHG_USERVAR_ENABLE_FEATURE=true\fP as part of their environment.
.sp
pushvars can provide for user\-overridable hooks as well as set debug
levels. One example is having a hook that blocks commits containing
conflict markers, but enables the user to override the hook if the file
is using conflict markers for testing purposes or the file format has
strings that look like conflict markers.
.sp
By default, servers will ignore \fI\-\-pushvars\fP. To enable it add the
following to your configuration file:
.sp
.nf
.ft C
[push]
pushvars.server = true
.ft P
.fi
.sp
Returns 0 if push was successful, 1 if nothing to push.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-f,  \-\-force
.
force push
.TP
.BI \-r,  \-\-rev \ <REV[+]>
.
a changeset intended to be included in the destination
.TP
.BI \-B,  \-\-bookmark \ <BOOKMARK[+]>
.
bookmark to push
.TP
.B \-\-all\-bookmarks
.
push all bookmarks (EXPERIMENTAL)
.TP
.BI \-b,  \-\-branch \ <BRANCH[+]>
.
a specific branch you would like to push
.TP
.B \-\-new\-branch
.
allow pushing a new branch
.TP
.BI \-\-pushvars \ <VALUE[+]>
.
variables that can be sent to server (ADVANCED)
.TP
.B \-\-publish
.
push the changeset as public (EXPERIMENTAL)
.TP
.BI \-e,  \-\-ssh \ <CMD>
.
specify ssh command to use
.TP
.BI \-\-remotecmd \ <CMD>
.
specify hg command to run on the remote side
.TP
.B \-\-insecure
.
do not verify server certificate (ignoring web.cacerts config)
.UNINDENT
.sp
[+] marked option can be specified multiple times
.\" Generated by docutils manpage writer.
.\" 
.
